import type { Address } from 'viem';
import { type CheckoutConfirmationError } from '../../../domains/checkoutErrors';
interface UseCheckoutConfirmationOptions {
    onError(error: CheckoutConfirmationError): void;
    onSuccess(depositAddress: Address): void;
}
interface UseCheckoutConfirmationResult {
    confirmationError: CheckoutConfirmationError | null;
    confirmationStepMessage: string | null;
    handleCheckoutConfirmation(): Promise<void>;
    isConfirming: boolean;
}
export declare function useCheckoutConfirmation({ onError, onSuccess, }: UseCheckoutConfirmationOptions): UseCheckoutConfirmationResult;
export {};
